Get Vm Status
curl --request GET \
--url https://api.example.com/api/v2/external/vms/{vm_id}/statusimport requests
url = "https://api.example.com/api/v2/external/vms/{vm_id}/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/external/vms/{vm_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vm_id": "<string>",
"status": "<string>",
"instance_specs": {},
"created_at": "2023-11-07T05:31:56Z",
"ip_address": "<string>",
"uptime_seconds": 123,
"billed": 123,
"croesus_billed": 123,
"hardware_profile": "<string>",
"gpu_count": 123,
"instance_type": "<string>",
"name": "<string>",
"display_name": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Virtual Machines
Get Vm Status
Get detailed status of a specific VM from VM provisioning service.
GET
/
api
/
v2
/
external
/
vms
/
{vm_id}
/
status
Get Vm Status
Path Parameters
Response
Successful Response
Response model for VM status.
⌘I

